<template>
  <div class="box-graphics">
    <div class="d-flex justify-end">
      <seguimiento class="ml-5"></seguimiento>
    </div>
    <h3 class="text-center tway-header-1">Indicador Satisfacción</h3>

    <div class="resumen">
      <div class="resumen-detail">
        <div class="tway-violet--text mb-4">
          <span style="font-size: 18px">Resumen</span>
        </div>
        <div
          class="resumen-detail-item"
          v-for="(itemResumen, i) in summaryKPINegocio.resumen"
          :key="i"
        >
          <div>{{ itemResumen.description }}</div>
          <div>{{ itemResumen.value }}</div>
          <div>
            <span v-if="itemResumen.signo === '+'" class="material-icons">
              <v-img
                width="25"
                :src="require('@/assets/img/pmo/up-arrow-green.svg')"
              />
            </span>
            <span v-else>
              <v-img
                width="25"
                :src="require('@/assets/img/pmo/down-arrow-red.svg')"
            /></span>
          </div>
        </div>
      </div>
      <div class="resumen-bar">
        <VueApexCharts
          :series="summaryKPINegocio.series"
          :options="summaryKPINegocio.options"
          height="150"
          type="bar"
          class="full"
        />
      </div>
    </div>
    <div class="list-top-10">
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>
            NPS Historico
            <ToolTips
              description="Net Promotor Score es un indicador de Satisfacción, que se calcula: (%Promotores - %Detractores )
"
            />
          </p>
        </div>
        <div>
          <VueApexCharts
            :series="historyKPINegocio.series"
            :options="historyKPINegocio.options"
            title=""
            height="400"
          />
        </div>
      </div>
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>
            Ratio Histórico
            <ToolTips
              description="Promotores: evaluaron con 9 ó 10. Neutros: evaluaron con 7 u 8. Detractores: evaluaron con 1 a 6.
"
            />
          </p>
        </div>
        <div>
          <VueApexCharts
            v-if="ratioHistoryKPINegocio.series.length > 0"
            type="bar"
            height="430"
            :series="ratioHistoryKPINegocio.series"
            :options="ratioHistoryKPINegocio.options"
          />
        </div>
      </div>
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>Composición Histórica</p>
        </div>
        <div>
          <VueApexCharts
            v-if="compositionKPINegocio.series.length > 0"
            type="bar"
            height="400"
            :series="compositionKPINegocio.series"
            :options="compositionKPINegocio.options"
          />
        </div>
      </div>
    </div>
    <div class="list-top-10">
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>MTBF Toma de Decisiones</p>
        </div>
        <div>
          <VueApexCharts
            :series="takeDecisions.series"
            :options="takeDecisions.options"
            height="400"
            type="area"
          />
        </div>
      </div>
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>MTBF Cliente Externo</p>
        </div>
        <div>
          <VueApexCharts
            :series="externalCustomer.series"
            :options="externalCustomer.options"
            height="400"
            type="area"
          />
        </div>
      </div>
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>MTBF Cliente Interno</p>
        </div>
        <div>
          <VueApexCharts
            :series="internalCustomer.series"
            :options="internalCustomer.options"
            height="400"
            type="area"
          />
        </div>
      </div>
    </div>

    <div class="list-top-10">
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>
            Rentabilidad por Optimización
            <ToolTips
              description="Rentabilidad por optimizaciones al integrar herramientas
                tecnológicas digitales"
            />
          </p>
        </div>
        <div>
          <VueApexCharts
            :series="costEffectiveness.series"
            :options="costEffectiveness.options"
            height="200"
            type="area"
          />
        </div>
      </div>
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>
            Reducción de Costo
            <ToolTips
              description="Reducción costos en ejecución de procesos con herramientas
                tecnológicas digitales"
            />
          </p>
        </div>
        <div>
          <VueApexCharts
            :series="costReduction.series"
            :options="costReduction.options"
            height="200"
            type="area"
          />
        </div>
      </div>
      <div>
        <div class="mx-4 mt-1 pt-2 tway-violet--text">
          <p>
            Tasa de Resolución
            <ToolTips
              width="384"
              description="Autoservicio: cualquier plataforma de auto atención, que le permite al usuario resolverse sus incidencias.
              N1: servicio de primer contacto con el cliente.
              N2: primer nivel de escalamiento para la resolución de incidencias.
              N3: segundo nivel de escalamiento hacia especialistas, para resolución de incidencias.
"
            />
          </p>
        </div>
        <div>
          <VueApexCharts
            v-if="firstLine.series.length > 0"
            :series="firstLine.series"
            :options="firstLine.options"
            height="270"
            type="pie"
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Seguimiento from "../../components/pmo/kpi/seguimiento.vue";
import KpiBusinessService from "@/services/pmo/kpi/kpiBusinessService";
//import SimpleBubbleChart from "../../components/charts/pmo/apex/bubble/SimpleBubbleChart";
//import PolarArea from "../../components/charts/pmo/apex/polar-area/PolarArea";
// getSummaryKPINegocio
// getHistoryKPINegocio
// getRatioHistoryKPINegocio
// getCompositionKPINegocio
// import StackedBars100 from "../../components/charts/pmo/apex/bar/StackedBars100";
//import SimpleLine from "../../components/charts/pmo/apex/line/SimpleLine";
//import StackedColumns100 from "../../components/charts/pmo/apex/column/StackedColumns100";
//import StackedBars from "../../components/charts/pmo/apex/bar/StackedBars";
import VueApexCharts from "vue-apexcharts";
import ToolTips from "../../components/pmo/utils/ToolTips";

export default {
  name: "KPIBusiness",
  components: {
    Seguimiento,
    //SimpleBubbleChart,
    //PolarArea,
    // StackedBars100,
    //SimpleLine,
    //StackedColumns100,
    //StackedBars,
    VueApexCharts,
    ToolTips,
  },
  data() {
    return {
      charts: {
        timeLine: {
          serie: null,
        },
        stacked: {
          serie: [],
        },
      },
      summaryKPINegocio: {
        resumen: [],
        series: [],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            type: "bar",
            height: 150,
            stacked: true,
            toolbar: {
              show: false,
            },
            //stackType: '100%'
          },
          plotOptions: {
            bar: {
              horizontal: true,
            },
          },
          stroke: {
            width: 1,
            colors: ["#fff"],
          },
          title: {
            text: "",
          },
          xaxis: {
            categories: ["Agosto"],
          },
          tooltip: {
            y: {
              formatter: function (val) {
                return val;
              },
            },
          },
          fill: {
            opacity: 1,
          },
          legend: {
            position: "top",
            horizontalAlign: "left",
            offsetX: 40,
          },
          colors: ["#008F39", "#E5Be01", "#D7263D"],
        },
      },
      historyKPINegocio: {
        series: [],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            height: 350,
            width: 800,
            type: "line",
            zoom: {
              enabled: false,
            },
            toolbar: {
              show: false,
            },
          },
          colors: ["#7319D5"],
          dataLabels: {
            enabled: true,
            formatter: function (val) {
              return val + " %";
            },
          },
          stroke: {
            curve: "straight",
          },
          title: {
            text: "",
            align: "left",
          },
          grid: {
            row: {
              colors: ["#f3f3f3", "transparent"], // takes an array which will be repeated on columns
              opacity: 0.5,
            },
          },
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
            ],
          },
          yaxis: [
            {
              axisTicks: { show: true },
              axisBorder: {
                show: true,
                color: "#7319D5",
              },
              labels: { style: { colors: "#7319D5" } },
              title: {
                text: "% NPS",
                style: { color: "#7319D5" },
              },
              tooltip: { enabled: true },
            },
          ],
        },
      },
      ratioHistoryKPINegocio: {
        series: [],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            type: "bar",
            height: 350,
            stacked: true,
            stackType: "100%",
            toolbar: {
              show: false,
            },
          },
          responsive: [
            {
              breakpoint: 680,
              options: {
                legend: {
                  position: "bottom",
                  offsetX: -10,
                  offsetY: 0,
                },
              },
            },
          ],
          colors: ["#16C62E", "#AEEA00", "#D7263D"],
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
            ],
          },
          fill: {
            opacity: 1,
          },
          legend: {
            position: "top",
            offsetX: 0,
            offsetY: 0,
          },
        },
        opciones: {
          chartOptions: {
            chart: {
              fontFamily: "Josefin Sans, Arial, sans-serif",
              type: "bar",
              height: 350,
              stacked: true,
              stackType: "100%",
            },
            responsive: [
              {
                breakpoint: 480,
                options: {
                  legend: {
                    position: "bottom",
                    offsetX: -10,
                    offsetY: 0,
                  },
                },
              },
            ],
            xaxis: {
              categories: [
                "2011 Q1",
                "2011 Q2",
                "2011 Q3",
                "2011 Q4",
                "2012 Q1",
                "2012 Q2",
                "2012 Q3",
                "2012 Q4",
              ],
            },
            fill: {
              opacity: 1,
            },
            legend: {
              position: "right",
              offsetX: 0,
              offsetY: 50,
            },
          },
        },
        seriesr: [
          {
            name: "PRODUCT A",
            data: [44, 55, 41, 67, 22, 43, 21, 49],
          },
          {
            name: "PRODUCT B",
            data: [13, 23, 20, 8, 13, 27, 33, 12],
          },
          {
            name: "PRODUCT C",
            data: [11, 17, 15, 15, 21, 14, 15, 13],
          },
        ],
      },
      compositionKPINegocio: {
        series: [
          {
            name: "Promotores",
            data: [44, 55, 41, 67, 22, 43, 21, 49],
          },
          {
            name: "Neutros",
            data: [13, 23, 20, 8, 13, 27, 33, 12],
          },
          {
            name: "Detractores",
            data: [11, 17, 15, 15, 21, 14, 15, 13],
          },
        ],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            type: "bar",
            height: 350,
            stacked: true,
            toolbar: {
              show: false,
            },
          },
          colors: ["#4A148C", "#7319D5", "#D7263D"],
          plotOptions: {
            bar: {
              horizontal: true,
            },
          },
          stroke: {
            width: 1,
            colors: ["#fff"],
          },
          title: {
            text: "",
          },
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
            ],
            labels: {
              formatter: function (val) {
                return val;
              },
            },
          },
          yaxis: {
            title: {
              text: undefined,
            },
          },
          tooltip: {
            y: {
              formatter: function (val) {
                return val;
              },
            },
          },
          fill: {
            opacity: 1,
          },
          legend: {
            position: "top",
            horizontalAlign: "left",
            offsetX: 40,
          },
        },
      },
      takeDecisions: {
        series: [],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            height: 350,
            type: "line",
            stacked: false,
            zoom: { enabled: false },
            toolbar: {
              show: false,
            },
          },
          dataLabels: {
            enabled: false,
          },
          stroke: {
            width: [0, 2, 5, 2],
            curve: "smooth",
          },
          plotOptions: {
            bar: { columnWidth: "65%" },
          },
          /* fill: {
            opacity: [0.85, 0.25, 1, 1],
            gradient: {
            inverseColors: false,
            shade: 'light',
            type: "vertical",
            opacityFrom: 0.85,
            opacityTo: 0.55,
            stops: [0, 100, 100, 100]
            }
          }, */
          //labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'MAyo', 'Junio', 'Julio','Agosto', 'Septiembre', 'Octubre', 'Noviembre'],
          markers: { size: 0 },
          //xaxis:  { type: 'datetime'  },
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
              "Septiembre",
              "Octubre",
              "Noviembre",
            ],
          },
          // Verde Claro:'#16C62E' - Violeta Claro:'#7319D5' - Violeta Oscuro: '#4A148C' - Verde Oscuro: '#AEEA00' - Gris: '#7F7F7F'
          colors: [
            "#16C62E",
            "#16C62E80",
            "#16C62E60",
            "#16C62E40",
            "#16C62E20",
          ],

          yaxis: [
            /* {
          seriesName: 'Tiempo HH / Mes',
          axisTicks:  { show: true  },
          axisBorder: { show: true  },
          title:      { text: "MM$" }
        },
        {
          seriesName: '',
          axisTicks:  { show: false  },
          axisBorder: { show: false  },
          title:      { text: "MM$" }
        }, 
        {
          seriesName: '# Fallas',
          opposite: false,
          axisTicks:  { show: true  },
          axisBorder: { show: true, color: '#16C62E' },
          title:      { text: "# Fallas", style: { color: '#16C62E' } },
          labels: {
              style: { color: '#16C62E' }
          }
        },*/
            {
              seriesName: "MTBF",
              opposite: true,
              axisTicks: { show: true },
              axisBorder: { show: true, color: "#4A148C" },
              title: { text: "MM$", style: { color: "#4A148C" } },
              labels: {
                style: { color: "#4A148C" },
              },
            },
          ],
          tooltip: {
            shared: true,
            intersect: false,
            y: {
              /* formatter: function (y) {
              if (typeof y !== "undefined") {
                return y.toFixed(0) + " horas";
              } 
              return y;
        
            } */
            },
          },
        },
      },
      externalCustomer: {
        series: [],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            height: 350,
            type: "area",
            stacked: false,
            zoom: { enabled: false },
            toolbar: {
              show: false,
            },
          },
          dataLabels: {
            enabled: false,
          },
          stroke: {
            width: [0, 2, 5, 2],
            curve: "smooth",
          },
          plotOptions: {
            bar: { columnWidth: "65%" },
          },
          /* fill: {
            opacity: [0.85, 0.25, 1, 1],
            gradient: {
            inverseColors: false,
            shade: 'light',
            type: "vertical",
            opacityFrom: 0.85,
            opacityTo: 0.55,
            stops: [0, 100, 100, 100]
            }
          }, */
          //labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'MAyo', 'Junio', 'Julio','Agosto', 'Septiembre', 'Octubre', 'Noviembre'],
          markers: { size: 0 },
          //xaxis:  { type: 'datetime'  },
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
              "Septiembre",
              "Octubre",
              "Noviembre",
            ],
          },
          // Verde Claro:'#16C62E' - Violeta Claro:'#7319D5' - Violeta Oscuro: '#4A148C' - Verde Oscuro: '#AEEA00' - Gris: '#7F7F7F'
          colors: ["#7F7F7F"],

          yaxis: [
            /* {
          seriesName: 'Tiempo HH / Mes',
          axisTicks:  { show: true  },
          axisBorder: { show: true  },
          title:      { text: "MM$" }
        },
        {
          seriesName: '',
          axisTicks:  { show: false  },
          axisBorder: { show: false  },
          title:      { text: "MM$" }
        }, 
        {
          seriesName: '# Fallas',
          opposite: false,
          axisTicks:  { show: true  },
          axisBorder: { show: true, color: '#16C62E' },
          title:      { text: "# Fallas", style: { color: '#16C62E' } },
          labels: {
              style: { color: '#16C62E' }
          }
        },*/
            {
              seriesName: "MTBF",
              opposite: true,
              axisTicks: { show: true },
              axisBorder: { show: true, color: "#7F7F7F" },
              title: { text: "MM$", style: { color: "#7F7F7F" } },
              labels: {
                style: { color: "#7F7F7F" },
              },
            },
          ],
          tooltip: {
            shared: true,
            intersect: false,
            y: {
              /* formatter: function (y) {
              if (typeof y !== "undefined") {
                return y.toFixed(0) + " horas";
              } 
              return y;
        
            } */
            },
          },
        },
      },
      internalCustomer: {
        series: [],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            height: 350,
            type: "line",
            stacked: false,
            zoom: { enabled: false },
            toolbar: {
              show: false,
            },
          },
          dataLabels: {
            enabled: false,
          },
          stroke: {
            width: [0, 2, 5, 2],
            curve: "smooth",
          },
          plotOptions: {
            bar: { columnWidth: "65%" },
          },
          /* fill: {
            opacity: [0.85, 0.25, 1, 1],
            gradient: {
            inverseColors: false,
            shade: 'light',
            type: "vertical",
            opacityFrom: 0.85,
            opacityTo: 0.55,
            stops: [0, 100, 100, 100]
            }
          }, */
          //labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'MAyo', 'Junio', 'Julio','Agosto', 'Septiembre', 'Octubre', 'Noviembre'],
          markers: { size: 0 },
          //xaxis:  { type: 'datetime'  },
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
              "Septiembre",
              "Octubre",
              "Noviembre",
            ],
          },
          // Verde Claro:'#16C62E' - Violeta Claro:'#7319D5' - Violeta Oscuro: '#4A148C' - Verde Oscuro: '#AEEA00' - Gris: '#7F7F7F'
          colors: ["#7319D5"],

          yaxis: [
            /* {
          seriesName: 'Tiempo HH / Mes',
          axisTicks:  { show: true  },
          axisBorder: { show: true  },
          title:      { text: "MM$" }
        },
        {
          seriesName: '',
          axisTicks:  { show: false  },
          axisBorder: { show: false  },
          title:      { text: "MM$" }
        }, 
        {
          seriesName: '# Fallas',
          opposite: false,
          axisTicks:  { show: true  },
          axisBorder: { show: true, color: '#16C62E' },
          title:      { text: "# Fallas", style: { color: '#16C62E' } },
          labels: {
              style: { color: '#16C62E' }
          }
        },
        */ {
              seriesName: "MTBF",
              opposite: true,
              axisTicks: { show: true },
              axisBorder: { show: true, color: "#7319D5" },
              title: { text: "MM$", style: { color: "#7319D5" } },
              labels: {
                style: { color: "#7319D5" },
              },
            },
          ],
          tooltip: {
            shared: true,
            intersect: false,
            y: {
              /* formatter: function (y) {
              if (typeof y !== "undefined") {
                return y.toFixed(0) + " horas";
              } 
              return y;
        
            } */
            },
          },
        },
      },
      costEffectiveness: {
        series: [],
        options: {
          series: [
            {
              name: "Rentabilidad",
              data: [30, 28, 32, 42, 31, 49, 51, 56],
            },
          ],
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            height: 350,
            type: "area",
            stacked: false,
            zoom: {
              enabled: false,
            },
            toolbar: {
              show: false,
            },
          },
          colors: ["#7319D5"],
          dataLabels: {
            enabled: false,
          },
          stroke: {
            width: [2],
            curve: "smooth",
            dashArray: [0],
          },
          markers: { size: 3 },
          title: {
            text: undefined,
            align: "left",
          },
          grid: {
            row: {
              colors: ["#f3f3f3", "transparent"], // takes an array which will be repeated on columns
              opacity: 0.4,
            },
          },
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
            ],
          },
          yaxis: [
            {
              axisTicks: { show: true },
              axisBorder: {
                show: true,
                color: "#7319D5",
              },
              labels: { style: { colors: "#7319D5" } },
              title: {
                text: "%",
                style: { color: "#7319D5" },
              },
              tooltip: { enabled: true },
            },
          ],
          tooltip: {
            x: {
              show: false,
            },
            y: {
              show: false,
              /*            formatter: function(value) {
            return '% ' + value
            } */
            },
          },
        },
      },
      costReduction: {
        series: [],
        options: {
          series: [
            {
              name: "Reducción de Costo",
              data: [33, 38, 26, 52, 10, 29, 16, 36],
            },
          ],
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            height: 350,
            type: "area",
            zoom: {
              enabled: false,
            },
            toolbar: {
              show: false,
            },
          },
          colors: ["#16C62E"],
          dataLabels: {
            enabled: false,
          },
          stroke: {
            width: [2],
            curve: "smooth",
            dashArray: [0],
          },
          markers: { size: 3 },
          title: {
            text: undefined,
            align: "left",
          },
          grid: {
            row: {
              colors: ["#f3f3f3", "transparent"], // takes an array which will be repeated on columns
              opacity: 0.4,
            },
          },
          xaxis: {
            categories: [
              "Enero",
              "Febrero",
              "Marzo",
              "Abril",
              "Mayo",
              "Junio",
              "Julio",
              "Agosto",
            ],
            color: "#16C62E",
          },
          yaxis: [
            {
              axisTicks: { show: true },
              axisBorder: {
                show: true,
                color: "#16C62E",
              },
              labels: { style: { colors: "#16C62E" } },
              title: {
                text: "%",
                style: { color: "#16C62E" },
              },
              tooltip: { enabled: true },
            },
          ],
          tooltip: {
            x: {
              show: false,
            },
            y: {
              show: false,
              formatter: function (value) {
                return value + " %";
              },
            },
          },
        },
      },
      firstLine: {
        series: [],
        options: {
          chart: {
            fontFamily: "Josefin Sans, Arial, sans-serif",
            width: 580,
            type: "pie",
            toolbar: {
              show: false,
            },
            offsetX: 0,
            offsetY: -20,
          },
          colors: ["#AEEA00", "#7F7F7F", "#7319D5", "#16C62E", "#4A148C"],
          labels: [
            "Resueltos por Autoservicio",
            "Resueltos por N1",
            "Resueltos por N2",
            "Resueltos por N3",
            "No resueltos",
          ],
          legend: {
            position: "bottom",
            horizontalAlign: "left",
            fontSize: "11px",
            offsetX: 0,
            offsetY: 0,
          },
          responsive: [
            {
              breakpoint: 480,
              options: {
                chart: {
                  width: 350,
                },
                legend: {
                  position: "right",
                  horizontalAlign: "left",
                  width: 50,
                  offsetX: 0,
                  offsetY: 20,
                },
              },
            },
          ],
        },
      },
    };
  },

  methods: {
    async callService() {
      await KpiBusinessService.getSummaryKPINegocio()
        .then((data) => {
          this.summaryKPINegocio = data;
        })
        .catch((err) => console.dir(err));

      await KpiBusinessService.getHistoryKPINegocio()
        .then((data) => {
          this.historyKPINegocio = data;
        })
        .catch((err) => console.dir(err));

      await KpiBusinessService.getRatioHistoryKPINegocio()
        .then((data) => {
          console.log("ratio", data);
          this.ratioHistoryKPINegocio.series = data.series;
        })
        .catch((err) => console.dir(err));

      await KpiBusinessService.getCompositionKPINegocio()
        .then((data) => {
          this.compositionKPINegocio = data;
        })
        .catch((err) => console.dir(err));

      await KpiBusinessService.getCostEffectiveness()
        .then((data) => {
          console.log("getCostEffectiveness", data.series);
          this.costEffectiveness.series = data.series;
        })
        .catch((err) => console.dir(err));
      await KpiBusinessService.getCostReduction()
        .then((data) => {
          this.costReduction.series = data.series;
        })
        .catch((err) => console.dir(err));
      await KpiBusinessService.getExternalCustomer()
        .then((data) => {
          this.externalCustomer.series = data.series;
        })
        .catch((err) => console.dir(err));
      await KpiBusinessService.getInternalCustomer()
        .then((data) => {
          this.internalCustomer.series = data.series;
        })
        .catch((err) => console.dir(err));
      await KpiBusinessService.getTakeDecisions()
        .then((data) => {
          console.log("getTakeDecisions", data.series);
          this.takeDecisions.series = data.series;
        })
        .catch((err) => console.dir(err));
      await KpiBusinessService.getFirstLine()
        .then((data) => {
          this.firstLine.series = data.series;
        })
        .catch((err) => console.dir(err));
    },
  },
  async mounted() {
    this.callService();
  },
};
</script>

<style lang="scss" scoped>
.box-graphics {
  max-width: 1400px;
  min-width: 1100px;
}

.graphics {
  display: flex;
  flex-direction: column;
}

.shrink {
  width: 150px;
}
.bar {
  width: 350px;
}

.resumen {
  display: flex;
  width: 100%;
  height: 250px;
  box-shadow: 0px 3px 1px -2px rgb(0 0 0 / 20%),
    0px 2px 2px 0px rgb(0 0 0 / 14%), 0px 1px 5px 0px rgb(0 0 0 / 12%);
  border-radius: 4px;
  justify-content: center;
  margin: 25px 0px 25px 0px;
}

.resumen > .resumen-detail {
  width: 17%;
  display: flex;
  flex-direction: column;
  margin-top: 30px;
}
.resumen > .resumen-detail > .resumen-detail-item {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.resumen > .resumen-detail > .resumen-detail-item > div:first-child {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 55%;
}
.resumen > .resumen-detail > .resumen-detail-item > div {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 15%;
}

.resumen > .resumen-bar {
  display: flex;
  width: 80%;
  height: auto;
  margin-top: 50px;
}
.resumen-title {
  display: flex;
  flex-direction: row;
  width: 100%;
  border: solid black 1px;
  justify-content: space-between;
}
.resumen-content {
  display: flex;
  flex-direction: row;
  width: 100%;
  border: solid black 1px;
  justify-content: space-between;
  margin-bottom: 15px;
}

.seguimiento {
  width: 100%;
  display: flex;
  box-shadow: 0px 3px 1px -2px rgb(0 0 0 / 20%),
    0px 2px 2px 0px rgb(0 0 0 / 14%), 0px 1px 5px 0px rgb(0 0 0 / 12%);
  border-radius: 4px;
  justify-content: center;
  margin: 25px 0px 25px 0px;
  height: 500px;
}
.seguimiento-costo {
  width: 45%;
  margin: 2px;
}
.seguimiento-periodo {
  width: 45%;
  margin: 2px;
}
.list-top-10 {
  display: flex;
  flex-direction: row;
  width: 100%;
  padding: 50px 10px 50px 10px;
  margin-top: 50px;
  box-shadow: 0px 3px 1px -2px rgb(0 0 0 / 20%),
    0px 2px 2px 0px rgb(0 0 0 / 14%), 0px 1px 5px 0px rgb(0 0 0 / 12%);
  border-radius: 4px;
  margin: 25px 0px 25px 0px;
  div {
    width: 33%;
    div {
      width: 100%;
    }
  }
}

.risk_classification {
  width: 15px;
  height: 15px;
  border-radius: 4px;
  margin: 0px 5px 0px 5px;
}
.risk {
  width: 15%;
  margin: 0px 5px 0px 5px;
}
.concurrence {
  width: 15%;
  margin: 0px 5px 0px 5px;
}
.impact {
  width: 15%;
  margin: 0px 5px 0px 5px;
}
.strategy {
  width: 10%;
  margin: 0px 5px 0px 5px;
}
.contingency {
  width: 20%;
  margin: 0px 5px 0px 5px;
}
.responsible {
  width: 20%;
  margin: 0px 5px 0px 5px;
}
.full {
  width: 100%;
}
.TercioFull {
  width: 50%;
}
</style>
